Loading...
Searching...
No Matches
starpu_profiling.h File Reference
`#include <starpu.h>`
`#include <errno.h>`
`#include <time.h>`
`#include <starpu_config.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_profiling_task_info
struct | starpu_profiling_worker_info
struct | starpu_profiling_bus_info

## Macros

#define | STARPU_PROFILING_DISABLE
#define | STARPU_PROFILING_ENABLE
#define | STARPU_NS_PER_S
#define | starpu_timespec_cmp(a, b, CMP)

## Functions

void | starpu_profiling_init (void)
void | starpu_profiling_set_id (int new_id)
int | starpu_profiling_status_set (int status)
int | starpu_profiling_status_get (void)
int | starpu_profiling_worker_get_info (int workerid, struct starpu_profiling_worker_info *worker_info)
int | starpu_bus_get_count (void)
int | starpu_bus_get_id (int src, int dst)
int | starpu_bus_get_src (int busid)
int | starpu_bus_get_dst (int busid)
void | starpu_bus_set_direct (int busid, int direct)
int | starpu_bus_get_direct (int busid)
void | starpu_bus_set_ngpus (int busid, int ngpus)
int | starpu_bus_get_ngpus (int busid)
int | starpu_bus_get_profiling_info (int busid, struct starpu_profiling_bus_info *bus_info)
static __starpu_inline void | starpu_timespec_clear (struct timespec *tsp)
static __starpu_inline void | starpu_timespec_add (struct timespec *a, struct timespec *b, struct timespec *result)
static __starpu_inline void | starpu_timespec_accumulate (struct timespec *result, struct timespec *a)
static __starpu_inline void | starpu_timespec_sub (const struct timespec *a, const struct timespec *b, struct timespec *result)
double | starpu_timing_timespec_delay_us (struct timespec *start, struct timespec *end)
double | starpu_timing_timespec_to_us (struct timespec *ts)
void | starpu_profiling_bus_helper_display_summary (void)
void | starpu_profiling_worker_helper_display_summary (void)
void | starpu_data_display_memory_stats (void)